SND_CTL_RENAME_ID(9)

NAME
snd_ctl_rename_id - replace the id of a control on the card

SYNOPSIS

int snd_ctl_rename_id (struct snd_card * card, struct snd_ctl_elem_id * src_id, struct snd_ctl_elem_id * dst_id);

ARGUMENTS

card
    the card instance

src_id
    the old id

dst_id
    the new id

DESCRIPTION

Finds the control with the old id from the card, and replaces the id with the new one.

Returns zero if successful, or a negative error code on failure.